/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_chmod
#define headerfile_winix_functions_chmod

#include "functionbase.h"
#include "privchanger.h"

namespace Winix
{


namespace Fun
{


class Chmod : public FunctionBase
{
public:

	Chmod();
	void MakePost();
	void MakeGet();

private:

	PrivChanger priv_changer;
};


} // namespace

} // namespace Winix

#endif
